### Method

# Gtk Entry set_menu_entry_icon_text

since: 4.20

#### Declaration [src]

    void
    gtk_entry_set_menu_entry_icon_text (
      GtkEntry* entry,
      GtkEntryIconPosition icon_pos,
      const gchar* text
    )

#### Description [src]

Sets the text that will be used in the context menu of the `GtkEntry` when the specified icon is activatable. Selecting this item in the menu results, from all aspects, the same than clicking on the specified icon. This greatly simplifies making accessible applications, because the icons aren’t focusable when using keyboard navigation. This is why Gtk recommends to add the same action to the context menu.

Available since: 4.20

#### Parameters

`icon_pos`

  Type: `GtkEntryIconPosition`

  Either `GTK_ENTRY_ICON_PRIMARY` or `GTK_ENTRY_ICON_SECONDARY`.

`text`

  Type: `const gchar*`

  The text used for the menu item in the context menu, or NULL to not add a menu item.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.